Foreman - Feature #545

Support Oracle SGBD -- Not seen puppet classes list into page ENVIRONMENTS (Oracle DB)
12/17/2010 03:13 AM - Nikolay Aralovets
Target version:
Pull request:

Description

Hello,

| try to see all puppet classes for ENVIRONMENT (http:/srv2-itd-sag04.net.billing.ru:3000/environments) page. After click in
"http://srv2-itd-sag04.net.billing.ru:3000/puppetclasses?search[environments_id_equals]=10000" link Foreman is returning Internal
Error 500. In error_log:

Processing PuppetclassesController#index (for 172.30.64.135 at 2010-12-17 10:40:01) [GET]

Parameters: {"search"=>{"environments_id_equals"=>"10000"}}

ActiveRecord::Statementinvalid (OCIError: ORA-00918: column ambiguously defined: select * from (SELECT "PUPPETCLASSES".”
FROM "PUPPETCLASSES" INNER JOIN "ENVIRONMENTS_PUPPETCLASSES" ON
"ENVIRONMENTS_PUPPETCLASSES".puppetclass_id = "PUPPETCLASSES".id INNER JOIN "ENVIRONMENTS" ON
"ENVIRONMENTS".id = "ENVIRONMENTS_PUPPETCLASSES".environment_id WHERE (environments.id = 10000) ORDER BY
name) where rownum <= 20):
/usr/lib/ruby/gems/1.8/gems/activerecord-oracle_enhanced-adapter-1.3.1/lib/active_record/connection_adapters/oracle_enhanced_a
dapter.rb:948:in “log'
/ust/lib/ruby/gems/1.8/gems/activerecord-oracle_enhanced-adapter-1.3.1/lib/active_record/connection_adapters/oracle_enhanced_a
dapter.rb:906:in “select'
app/controllers/puppetclasses_controller.rb:8:in “index
app/controllers/puppetclasses_controller.rb:5:in “index
/ust/lib/ruby/1.8/webrick/httpserver.rb:104:in “service'
/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in “run’
/usr/lib/ruby/1.8/webrick/server.rb:173:in “start_thread'
/ust/lib/ruby/1.8/webrick/server.rb:162:in “start'
/usr/lib/ruby/1.8/webrick/server.rb:162:in “start_thread'
/usr/lib/ruby/1.8/webrick/server.rb:95:in “start'
/ust/lib/ruby/1.8/webrick/server.rb:92:in “each'’
/usr/lib/ruby/1.8/webrick/server.rb:92:in “start’
/usr/lib/ruby/1.8/webrick/server.rb:23:in “start’
/usr/lib/ruby/1.8/webrick/server.rb:82:in “start’

Rendering /var/rails/foreman/public/500.html (500 Internal Server Error)

Working request on PL/SQL looks as:

SELECT * FROM (SELECT "PUPPETCLASSES".* FROM "PUPPET"."PUPPETCLASSES"

INNER JOIN "PUPPET"."ENVIRONMENTS_PUPPETCLASSES" ON "ENVIRONMENTS_PUPPETCLASSES".puppetclass_id =
"PUPPETCLASSES".id

INNER JOIN "PUPPET"."ENVIRONMENTS" ON "ENVIRONMENTS".id = "ENVIRONMENTS_PUPPETCLASSES".environment_id
WHERE (environments.id = 10000) ORDER BY environments.name) where rownum <= 20;

Couldn't you editing in used controllers?

History

#1 - 01/24/2011 08:34 AM - Ohad Levy

- Status changed from New to Feedback

can you try removed the default_scope value from app/models/environment.rb and see if that errors remains?
http://srv2-itd-sag04.net.billing.ru:3000/environments

#2 - 01/24/2011 08:57 AM - Nikolay Aralovets
Try...

#3 - 07/05/2012 07:22 AM - Benjamin Papillon

- Tracker changed from Bug to Feature

- Subject changed from Not seen puppet classes list into page ENVIRONMENTS (Oracle DB) to Support Oracle SGBD -- Not seen puppet classes list
into page ENVIRONMENTS (Oracle DB)

| update this ticket as Feature request. Devs are lacking a test environment to validate oracle right now.

#4 - 04/10/2016 06:57 AM - Tomer Brisker
- Description updated

- Status changed from Feedback to Rejected

Oracle DB is not supported by Foreman as a backend. Please use a supported database such as PostgreSQL or MySQL.
